Bug 230739 - Have ScrollingEffectsController drive all the ScrollAnimations
Summary: Have ScrollingEffectsController drive all the ScrollAnimations
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Scrolling (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Simon Fraser (smfr)
URL:
Keywords: InRadar
Depends on:
Blocks: 230772
  Show dependency treegraph
 
Reported: 2021-09-23 22:09 PDT by Simon Fraser (smfr)
Modified: 2021-09-29 07:04 PDT (History)
11 users (show)

See Also:


Attachments
Patch (32.69 KB, patch)
2021-09-23 22:15 PDT, Simon Fraser (smfr)
ews-feeder: commit-queue-
Details | Formatted Diff | Diff
Patch (41.50 KB, patch)
2021-09-23 22:54 PDT, Simon Fraser (smfr)
no flags Details | Formatted Diff | Diff
Patch (41.94 KB, patch)
2021-09-24 12:28 PDT, Simon Fraser (smfr)
ews-feeder: commit-queue-
Details | Formatted Diff | Diff
Patch (42.01 KB, patch)
2021-09-24 12:37 PDT, Simon Fraser (smfr)
no flags Details | Formatted Diff | Diff
Patch (42.08 KB, patch)
2021-09-24 13:32 PDT, Simon Fraser (smfr)
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Simon Fraser (smfr) 2021-09-23 22:09:03 PDT
Have ScrollingEffectsController drive all the ScrollAnimations
Comment 1 Simon Fraser (smfr) 2021-09-23 22:15:26 PDT
Created attachment 439123 [details]
Patch
Comment 2 Simon Fraser (smfr) 2021-09-23 22:54:27 PDT
Created attachment 439126 [details]
Patch
Comment 3 Simon Fraser (smfr) 2021-09-24 12:28:51 PDT
Created attachment 439183 [details]
Patch
Comment 4 Simon Fraser (smfr) 2021-09-24 12:37:49 PDT
Created attachment 439184 [details]
Patch
Comment 5 Simon Fraser (smfr) 2021-09-24 13:32:13 PDT
Created attachment 439188 [details]
Patch
Comment 6 EWS 2021-09-24 16:49:35 PDT
Committed r283068 (242126@main): <https://commits.webkit.org/242126@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 439188 [details].
Comment 7 Radar WebKit Bug Importer 2021-09-24 16:50:19 PDT
<rdar://problem/83517244>